Topic: Matplotlib + Python2.7 su Mac OS Lion  (Letto 1309 volte)

0 Utenti e 1 Visitatore stanno visualizzando questo topic.

Offline brevemouse

  • python unicellularis
  • *
  • Post: 1
  • Punti reputazione: 0
    • Mostra profilo
Matplotlib + Python2.7 su Mac OS Lion
« il: Ottobre 08, 2011, 15:28 »
Ciao a tutti.

Non riesco in alcun modo a fare funzionare matplotlib con python 2.7 su Lion. Dicono di seguire questa guida: http://the.taoofmac.com/space/blog/2011/07/24/2222.
L'ho fatto, ma nel momento in cui eseguo il comando di build mi dice:

[codice]gcc-4.0 no such file or directory
gcc failed with exit status 1[/codice]

Ho Xcode installato.
Qualcuno ha qualche idea? Vi prego aiutatemi è una questione piuttosto importante (sono bloccato nel mio progetto per la tesi).

P.S: CHE IO SIA DANNATO IN ETERNO PER AVER VOLUTO AGGIORNARE A LION MI STO MANGIANDO LE MANI!!!!!!

 

Offline imbuto

  • python neanderthalensis
  • ****
  • Post: 462
  • Punti reputazione: 2
    • Mostra profilo
Re: Matplotlib + Python2.7 su Mac OS Lion
« Risposta #1 il: Ottobre 08, 2011, 16:08 »

Offline Giornale di Sistema

  • python sapiens sapiens
  • ******
  • Post: 3.124
  • Punti reputazione: 4
    • Mostra profilo
    • Distillato di Python
Re: Matplotlib + Python2.7 su Mac OS Lion
« Risposta #2 il: Ottobre 08, 2011, 16:11 »
Ho Xcode installato.

Premesso che non ho un Mac... ma quale versione è installata?
Perché a leggere i primi 2 link sembra importante.

Edit: il link di imbuto è anche più chiarificatore.  :)
« Ultima modifica: Ottobre 08, 2011, 16:13 da Giornale di Sistema »

angel6533

Re: Matplotlib + Python2.7 su Mac OS Lion
« Risposta #3 il: Ottobre 14, 2011, 18:16 »
Ciao a tutti.

Non riesco in alcun modo a fare funzionare matplotlib con python 2.7 su Lion. Dicono di seguire questa guida: http://the.taoofmac.com/space/blog/2011/07/24/2222.
L'ho fatto, ma nel momento in cui eseguo il comando di build mi dice:

[codice]gcc-4.0 no such file or directory
gcc failed with exit status 1[/codice]

Ho Xcode installato.
Qualcuno ha qualche idea? Vi prego aiutatemi è una questione piuttosto importante (sono bloccato nel mio progetto per la tesi).

P.S: CHE IO SIA DANNATO IN ETERNO PER AVER VOLUTO AGGIORNARE A LION MI STO MANGIANDO LE MANI!!!!!!

 

io ho seguito le istruzioni trovate in questo link:
http://www.thisisthegreenroom.com/2011/installing-python-numpy-scipy-matplotlib-and-ipython-on-lion/
e matplotlib funziona egregiamente.

PS: puoi tranquillamente trascurare la parte relativa a virtualenv, ipython e qtconsole, se non ti sono necessari per il tuo progetto.

PPS: qualora ti serva anche mpmath con backend gmpy, segui questi passaggi:
1) procurati la versione più recente di GMP impartendo da Terminale il comando [codice]brew install gmp[/codice]
2) vai su http://code.google.com/p/gmpy e scarica gmpy.1.14; gmpy2 non funziona correttamente;
3) dopo aver espanso l'archivio zip, nella finestra di Terminale spostati nella directory di gmpy e procedi all'installazione mediante [codice]sudo python setup.py install[/codice]
4) infine, procurati la versione più recente di mpmath impartendo da Terminale il comando [codice]pip install mpmath[/codice]
« Ultima modifica: Ottobre 14, 2011, 18:31 da angel6533 »